> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Run As Read

> Mark a run as read.



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json post /reports/runs/{run_id}/mark-read
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /reports/runs/{run_id}/mark-read:
    post:
      tags:
        - reports
      summary: Mark Run As Read
      description: Mark a run as read.
      operationId: mark_run_as_read_reports_runs__run_id__mark_read_post
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Run ID
            title: Run Id
          description: Run ID
        - name: organization_id
          in: query
          required: true
          schema:
            type: string
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarkReadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    MarkReadResponse:
      properties:
        success:
          type: boolean
          title: Success
        is_read:
          type: boolean
          title: Is Read
        read_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Read At
      type: object
      required:
        - success
        - is_read
        - read_at
      title: MarkReadResponse
      description: Response for mark-read endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````